# RPM specfile for pwlib module
# Generated Mon Apr 22 20:20:30 2002 GMT by Ximian build system
# $Id: bb_do,v 1.182 2002/03/26 20:35:26 dave Exp $
# from $Id: ximian-build.conf,v 1.2 2002/04/19 16:58:26 dobey Exp $

%define nam	pwlib
%define ver	1.2.15
%define ximrev	3

Name:     	pwlib1
Version: 	1.2.15
Release:	1.ximian.3
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.2 / i586
Copyright:	MPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.openh323.org/
Source0:	pwlib_1.2.15.tar.gz
Patch0:		pwlib-makefiles.patch
Patch1:		pwlib-make-j.patch
Patch2:		pwlib-stdio.patch
Patch3:		pwlib-alpha.patch
Patch4:		pwlib-asnparser.patch
Patch5:		pwlib-framerate.patch
Patch6:		pwlib-no-openssl.patch
Summary:	Portable Windows Library
Group:		System Environment/Libraries
Provides:	pwlib = %{PACKAGE_VERSION}
Provides:	ximian-pwlib1 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	pwlib

%description
PWLib is a class library for cross-platform development of applications

%files
%defattr(-, root, root)
%doc History.txt ReadMe.txt mpl-1.0.htm
/usr/lib/lib*.so.*


%post
ldconfig

%postun
ldconfig

%package -n pwlib1-devel
Summary:	Development package for pwlib
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Provides:	pwlib-devel = %{PACKAGE_VERSION}
Provides:	ximian-pwlib1-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	pwlib-devel
Obsoletes:	pwlib0-devel

%description -n pwlib1-devel
The pwlib-devel package contains the libraries and header files for pwlib

%files -n pwlib1-devel
%defattr(-, root, root)
/usr/bin/*
/usr/include/*
/usr/lib/*.a
/usr/lib/lib*.so
/usr/share/pwlib


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n pwlib
    ;;
all)
%setup  -q -n pwlib
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
%patch -p1 -P 3
%patch -p1 -P 4
%patch -p1 -P 5
%patch -p1 -P 6
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    true
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    export PWLIBDIR=`pwd`; export PWLIB_BUILD="yes"; ${MAKE} opt; cd tools/asnparser; ${MAKE} optshared
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    mkdir -p ${DESTDIR}/usr/bin; mkdir -p ${DESTDIR}/usr/lib; mkdir -p ${DESTDIR}/usr/include/ptclib; mkdir -p ${DESTDIR}/usr/include/ptlib/unix/ptlib; mkdir -p ${DESTDIR}/usr/share/pwlib/make; cp -d lib/lib* ${DESTDIR}/usr/lib; install include/ptlib.h ${DESTDIR}/usr/include; install include/ptlib/*.h ${DESTDIR}/usr/include/ptlib/; install include/ptlib/*.inl ${DESTDIR}/usr/include/ptlib/; install include/ptclib/*.h ${DESTDIR}/usr/include/ptclib/; install include/ptlib/unix/ptlib/*.h ${DESTDIR}/usr/include/ptlib/unix/ptlib/; install include/ptlib/unix/ptlib/*.inl ${DESTDIR}/usr/include/ptlib/unix/ptlib/; install tools/asnparser/obj_*_*/asnparser ${DESTDIR}/usr/bin; cd make; for l in *.mak; do sed -e 's#@prefix@#/usr#' -e 's#@makdir@#/usr/share/pwlib#' < $l > ${DESTDIR}/usr/share/pwlib/make/$l; done
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Apr 22 2002 Ximian, Inc.

- Version: 1.2.15-1.ximian.3
- Summary: New build.
- New automated build.

* Wed Apr 17 2002 Ximian, Inc.

- Version: 1.2.12-1.ximian.0.1
- Summary: New build.
- New automated build.

